function love.load()

  --Create Button object with properties
  button = {}
  button.x = 100
  button.y = 100
  button.size = 50

  -- Set the Target where the Button should move in X direction to button x position so it does nothing at first
  targetX = button.x
  score = 0

  speed = 400

  myFont = love.graphics.newFont(40)
end

function love.update(dt)
  move(dt) --Call move every 60 frames
end

function love.draw()

  love.graphics.setColor(1, 0, 0)
  love.graphics.circle('fill', button.x, button.y, button.size)

  love.graphics.setFont(myFont)
  love.graphics.setColor(1, 1, 1)
  love.graphics.print(score)

end

function love.mousepressed(mouseX, mouseY, clickType, isTouch)

  if clickType == 1 then
    --I wanted to check if the mouse position is inside the Button (I know there is a formula you can use but wanted to try this way).
    --The way I calculate its more like checing a rectangle and is not precise wherethe diagonaly where the curb of the circle is
    if (mouseX > button.x-button.size and mouseX < button.x+button.size) and (mouseY > button.y-button.size and mouseY < button.y+button.size) then
      score = score + 1
      --After each press on Button set a new target on X Axes for the Button to move
      targetX = love.math.random(50,300)
    end
  end

end

function move (dt)

  --Checked if the Button X position is bigger or smaller and ajust the speed to positive or negative
  if (button.x - targetX) > 0 then
    button.x = button.x - speed * dt
  elseif (button.x - targetX) < 0 then
    button.x = button.x + speed * dt
  else
    button.x = button.x
  end

end
